Search form

search button

Refer to the National Emergency Training Center Welcome Package for guidance on COVID protections at the NETC campus,
and the CDC Coronavirus page for the latest updates on the pandemic response.

The website maintenance scheduled for Tuesday, May 31, 2022 has been cancelled. We apologize for any inconvenience this retraction may have caused. The maintenance will be scheduled for a later date.


Before You Begin: Technical Information

Based on which option you choose to take IS course (downloadable materials or interactive web-based version if available, tables below provide the system requirements for successful accessing and viewing materials.

System Requirements

For IS Courses hosted on EMI Learning Site 1

Operating System Browser Type and Version 2 Download Plug-ins 3 Pop-up Blocker(s)

Windows

(XP, 2000 or above)

Microsoft Edge

Firefox

Internet Explorer 11 or Greater 4

MS Office (Support for Downloadable Files)

Adobe Acrobat Reader

Disable

Mac

(OS X)

Firefox

Adobe Acrobat Reader

Disable

1. For iMac and dial-up/DSL users, it is encouraged to use this option to access course materials.

2. TLS must be enabled in your web browser. Training.fema.gov works with any combination of the following protocols enabled: TLS 1.0, TLS 1.1, and/or TLS 1.2.

3. Plug-ins are free downloads.

4. Internet Explorer is no longer supported by Microsoft and may result in this site not functioning properly. Please consider upgrading to Microsoft Edge.

If you have accessibility problems viewing any PDF document on these pages, go to http://www.adobe.com/products/acrobat/access_onlinetools.html and use the online conversion tools to obtain the document in text format.

Download directions are also available with each course. It is recommended that the user download the course material files and view them off-line at their convenience, saving time and money for Internet connect charges.

 
Back to Top